【人工智能】【从搜索引擎看记忆存储方式】  
作者：天涯剑歌  
文章搜索  
便签中的搜索功能的算法是： 遍历每一个文章。如果该文章中有目标词，那么在搜索结果列表中展示该文章的标题。 这个算法有一个问题：效率太低。只适用于数据量低于十兆的情况。 便签数据量一般不会超过十兆，所以可以这么做。但对于百度谷歌之类的搜索引擎，数据量远超十兆，因此就不能使用这个算法。  
搜索引擎  
搜索引擎的搜索功能的算法很简单。难点在于搜索引擎的数据存储方式。 它不是【一篇文章存放在一个文件中】，而是【有一个索引文件，一个数据文件。文章存放在数据文件中，同时把文章名放入索引文件中的指定位置】。 索引文件的结构是： 【人工智能：文章A，文章B……】 【学习方法：文章A，文章C……】 【便签：文章D，文章E……】 …… 索引文件中有几万个索引，每个索引是一个常用词，后面跟着包含该词的文章的文章名。各索引之间文章名可以重复。 基于这个存储方式，搜索时只需要在索引中搜索。这样就可以迅速完成搜索。 当然，这个方法有一个代价：无法处理非常用词。 比如，你乱断词，比如把【放在数据文件中】断成【据文】，就这样选择一篇热门文章、断四个词、然后联合搜索（联合搜索：搜索【A B C D】，以空格连接四个词），你会发现搜不到这篇文章。  
记忆  
我猜，记忆的存储方式也是类似搜索引擎的索引数据库。 小说中要有人名，而不要用编号（比如0001角色、0002角色……），因为编号容易导致读者混淆，进一步本质是因为【对于人名，可以生成一个索引：以该人名为索引。之所以无法为编号生成索引，是因为编号的区分度不高。可见，在生成索引时，会要求索引具有高区分度】。 我有这样一个经历：我要坐出租车去某地，司机说了一个价格、并表示不打表（价格远超打表）。我拒绝，司机拒载，我生气并要举报他，然后父亲阻拦并骂我。我当时很生气。 几年后，我学了通用信息处理与自我认知，我再次被司机拒载，当时我并没有生气，也没有回忆起过去的经历，只想着再找一辆车。 但又一天，当我再次与他人因某原因而起冲突，父亲阻拦我的时候，我突然回忆起了过去那次经历。 为什么第二次拒载没让我回忆起过去？因为当时我有【方式A没实现目的，那就寻找方式B】的思维，第二次拒载在存入记忆时被归入【方式A没实现目的】这一索引之下，因此我当时回忆起来的都是该索引下的内容。 为什么第二次被父亲阻拦让我回忆起过去？因为它被提炼为【我需要父亲帮助，然而父亲不仅不帮助、反而阻止我】这一索引，然后我发现过去就存在该索引，因此我回忆起了过去该索引下的内容，也就是过去的经历。 这里有一个重要性质：记忆的索引并不是【新记忆直接放入现有索引之下】，而是【对新记忆提炼索引，把新索引与旧索引们对比，相似则融合】。 这个性质也解释了【为什么要求索引有高区分度：因为索引会“相似则融合”，所以新建索引需要与过去的索引不相似，即高区分度】。


【人工智能】【索引树记忆库】  
作者：浊浪逝风  
信息1：在本代页面天涯剑歌的文章【人工智能】【从搜索引擎看记忆存储方式】中，作者说【记忆本质是一个元素类型为X的列表，X包含一个索引、一个内容】。我不完全赞同。 信息2：某公共场所（X）有一个电视。我在X停留时，看到电视中放着一个电视剧，里面是两个中年妇女交流，一人（A）皱着眉头叽叽喳喳的说话，另一人（B）偶尔劝她几句、然后A拔高声调继续叽叽喳喳的说。我很反感A。这时我突然想起来：我小时候看到一个电视剧，里面也有一个我很反感的老年女性，并且她还坏、欺负主角，当时我想【她现实中也一定是一个坏人，我长大了一定要找到她、惩罚她】（如今认为角色性格不代表演员性格）。  
自我认知：在信息2中，我之所以回忆起小时候的那件事，是因为我在场地X看电视时出现了一个四级想法序列：【生气，想打他】【不该打他，那不是他（而是他的分身）】【该打他，分身坏则他坏】【不该打他，分身坏不代表他坏】。前三级导致我回忆起小时候的那件事。 注1：凡是紧致（注）遇到前三级，皆会回忆起小时候那件事。验证：假如有精神分裂者犯罪、我恨他，然后想到不该制裁他、因为他的另一精神无辜，然后想到【只有邪恶的本体才会衍生邪恶的分裂精神】，那么我会回忆起小时候的那件事。验证通过。（紧致：非分散，非同时。分散：有三件事，每件事一级。紧致：只有一件事，衍生三级。） 注2：【不该打他，那不是他、而是他的分身】本质是一个小序列：【不该打他，那不是他】【那就是他】【那不是他，而是他的分身】。 注3：想法序列必然是抽象的。想法序列必然以情绪开头。  
推理：什么样的记忆结构能够实现【当产生想法序列后，能想到该序列下的其他记忆】？ 索引树。叶节点为内容节点，其余节点都为索引节点。节点链为想法序列。 注1：在深度记忆整理（睡眠）方面，索引树的整理比索引列表的整理更可行。 注2：索引树无法容纳短期记忆。但是可以另设一个结构，该结构容纳短期记忆，并在深度整理时将短期记忆融入索引树。即，记忆由【缓冲区，索引组，短期记忆容器，索引树记忆库】构成。短期记忆容器可以是索引列表。
#AGI/实验/拒载生气：倒排索引