## 正文
### 预测器
智能由四部分构成：
一，输入。（例如人的视觉听觉） 
二，输出。（例如人的四肢） 
三，记忆。
四，思维。

思维由四部分构成：
一，预测器。 
二，生成器。 
三，否决器。 
四，解释器。 

第一版理论中，智能思维的结构是【生成器-解释器】。
第二版理论中，智能思维的结构是【生成器-否决器-解释器】。 
第三版理论中，智能思维的结构是【预测器-生成器-否决器-解释器】。 
如今是第三版理论。  

预测器的作用是： 
定义：将【生成器-否决器】视为一个整体（A），其最终【生成且不否决】的行为为【行为】。
在A工作之前，预测器会预测A最终的行为。如果预测不一致，那么再激活解释器、解释A的行为。
注：
1.预测器可以大大降低解释器的工作压力，使得打字走路一类的简单工作无需解释。
2.预测器时刻工作，正如A时刻工作。它们的工作都不被意识察觉。 
3.预测器的预测是模糊的。它不是预测【A是什么】，而是预测【A不是什么】。 
4.婴儿的认生来自于预测不一致。或许【恐惧】这一情绪与预测不一致有关。  
### 原稿
我在思考问题时习惯于书写草稿，边写边想。
（写下来的草稿可以扩展我的记忆，便于我回归原始问题。没有草稿的话，我的记忆基本只有五秒，这导致我很容易陷入【只专注于处理五秒内的信息】的陷阱。而草稿可以让我的记忆达到一个小时。）
今天我一如既往的书写草稿，但今天的草稿引出了预测器的概念，于是我整理后写下了本文。
如果有人需要看我原本的草稿（从而模仿我的思考方式），那么原草稿如下。  

解释器 
生成器的本质是神经网络。否决器也是。但解释器不是，它是神经网络与记忆系统的耦合。
关键在于记忆的存储方式。
梦境，来自于工作记忆转化为长期记忆。
人可以自我进步，人无时无刻不在自我进步，在自我审视，在自我解释。睡眠是自我解释，无聊是自我解释。机器的围棋能力是固定的，而人的围棋能力在进步。长期不玩表面上退步，实质上进步；为什么表面退步？ 强人工智能的关键：解释器算法，自我进步算法。
人工智能需要自我进步，并且不是生成对抗网络，而是一种缓慢地，无目的地，判断式地。判断基于情绪。 
关键还是情绪。 【情绪，自我进步；记忆，解释器。】
喜悦的本质是学习，是知识的正确性得到验证。验证来自于他人的事实，来自于一个可想象的具体事件，但这是先天的还是后天的？婴儿如何理解事件？
婴儿记忆：对重复的事情，产生联系。
认生：产生了世界观，开始预测，预期不一致就是生。为什么开始预测？过去不在预测？过去是抽象的预测，永远在。了解一部分后可以具体预测。
底层算法：预测。不是预测【是什么】，而是预测【不是什么】。不…… 回归原始问题。解释器怎么做？结合记忆，对行为做出解释，并将解释以某种格式保存到记忆中。
为什么要解释？婴儿主动地？不是。自动的？猫狗会解释吗？
再回来。解释器怎么做？解释的格式是什么？是物理层的神经连接？不是，必然可以抽象。
解释首先需要被生成器未来所调用。解释必然存储在记忆中，并且不是作为解释存在，而是作为事情本来的真相而存在。记忆并不存储具体的图像信息，也不会按某直接算法对图像抽象，而是会对图像生成行为，再解释行为的原因，再把原因与行为这一抽象信息存储。即，解释会作为事情本身而存储。
解释器怎么做？结合记忆，解释行为，然后记忆中就是原因+行为。不，解释错误时可以逐层加深的回忆，真相并没有遗忘。它们是如何被存储的？睡眠吗？
解释器怎么做？有记忆。收到信息，做出行动，解释行动原因……并不是所有行动都解释吧？毕竟打字手指放在某处，不需要解释，一瞬间就遗忘了。
解释器怎么做？收到信息，解释器预测行动，生成否决器做出行动，不一致则解释器解释行动！关键的预测器。
【预测器，生成器，否决器，解释器】 婴儿的认生恐惧，本质是预测器不一致。 解释器只在预测不一致时解释，对预测一致的筛选略过。  

注：
1.我在开始写草稿时我并没有想到预测器。即便草稿中间写到婴儿的预测，我也没认为智能包含预测器，只把预测当做一个类似学习与喜悦的机制。但最后在回归原始问题时突然认为预测器需要与解释器并列。
2.该草稿书写用时一个小时。
#AGI/算法核心流程/生成器、判断器、解释器、预测器