### 记忆关注点
同样的环境，两个不同的人，记住的信息不同。
严谨表达：对于一个环境X，一个身份Y，两个人AB：当A在环境X中扮演身份Y时，A能记住环境X中的信息F(X)。而当B在环境X中扮演身份Y时，B不能记住环境X中的信息F(X)。
注意：并非：对于一个环境X，两个身份YZ，两个人AB：当A在环境X中扮演身份Y、B在环境X中扮演身份Z时，A能记住环境X中的信息F(X)，而B不能记住F(X)。
案例：
- 同样是去买菜，母亲能记住所有菜品的价格，而孩子记不住、只能模糊的记住【贵、不贵】的感觉。
- 同样是去约会，女方能记住约会的日期、时间、地点、双方穿着，而男方啥也记不住、只能模糊的记住【好像有那么一次约会，当时挺开心】。
- 同样是出门，有的人走一遍就能记住路线，而有的人路痴、离开导航就要迷路。
- 同样是做菜，同学的妈妈看一遍菜谱就能记住配料需求与烹饪步骤、完美还原，而我的妈妈同样的菜做三遍能做出来三种味道。
### 学术界理论
- 先天论
	- 巴德利，工作记忆模型：不同类的记忆力需要不同的先天配置，先天配置包含语言、视觉、数字等
	- 施玛特，记忆系统理论：不同类的记忆力需要不同的先天配置，先天配置包含程序、语义、情节等
	- 斯滕伯格，三元智力理论：不同类的记忆力需要不同的【先天配置组件的组合】，少量组件排列组合得到各类记忆
- 后天论
	- 1972，克雷克，处理水平理论：对价格敏感的人会将价格与预算、性价比等内容多维度关联加工，形成牢固的记忆，而非记忆孤岛。
	- 海波，神经可塑性理论：重复的练习会强化神经回路，经常记忆价格的人会更容易记忆价格
### 我的观点
后天论。基于内觉思想而得的：大量念头+差异记忆理论。
克雷克的理论是一个很好的内觉：它观察到了【牢固的记忆必然伴随着大量念头的诞生】。
- 买菜时，母亲会经历大量的思维过程，包括价格对比等；而孩子没有那些思维过程。
- 约会时，女方会经历大量的思维过程，包括期待、纠结、预测等，而男方没有那些思维过程。
- 出门时，记忆强的人会经历大量的思维过程，包括观察、回忆、判断等，而记忆差的人没有那些思维过程、只关注【一会儿要吃什么】之类的。
- 读菜谱时，记忆强的人会经历大量的思维过程，包括思考、解释、推演等，而记忆差的人没有那些思维过程、只关注【我看完这些字了】。

进一步的，为什么有的人会经历大量的思维过程，有的人不会？
因为正循环机制。
正循环机制：一个人有越多的【在X时做F(X)取得好的结果】的经验，那么未来越会倾向于在X时做F(X)。
- 初次经验可能来自于随机行为、暴力要求、连哄带骗。
- 好的结果包括本身效果与额外奖励。额外奖励：糖果，夸赞。
- 如果获得了强烈的好的结果，那么会强烈的倾向（顿悟）。强烈的好的结果例如【解决了一个【自己一直想解决、无法解决、绝望的接受了不完美解】的问题】。
- 对于【X时做F(X)】，F(X)的结果可能并非结束动作，而是一个阶段动作。（例如：遇到问题时分析问题）
例如：母亲早年买菜时，经历过【懊悔：买贵了】，这作为初次经验；后续基于此而尝试观察价格，这作为第二经验。如此启动正循环：越执行观察价格，未来就越容易生成与判断允许观察价格。

但克雷克的理论与内觉论也有不足之处：
- 有的时候，比如约会、出门，没有多维关联、只有大量念头，依然能记忆深刻。
- 有的时候，比如做数学题，虽然有大量念头，但依然会遗忘。
这表明：多维关联与大量念头都不是记忆的充要条件。
对此，内觉得到了一个补丁：差异记忆法。人们自己脑海中有一个框架，那个框架与其他记忆多维关联；同时，新的事件与那个框架多维关联（在那个框架之下有诸多细节差异），此时人们会记住那些差异，从而通过【框架+差异】来记住新的事件。
例如：女方早年在朋友聊天或阅读帖子时，经历了【幻想：约会场景】，作为初次经验；此后继续通过帖子触发幻想，正循环。在正式约会之前，基于正循环，自主幻想，形成框架；在正式约会时，对比差异，记忆深刻。
### 总结
正循环导致大量念头，【大量念头+多维关联】或【大量念头+差异记忆】的人可以【经历一遍事件就记住某些信息】。
### 瑕疵
本理论来自内觉，可能【差异记忆法是一个后天高级方法。我本人使用差异记忆法，导致我以为所有人都如此】。
但是：
- 通过三份深入交流所得结果表明：他们记忆约会、路线、税法，本质都是无意识地使用了差异记忆法。
- 差异记忆法可以解释为什么会存在虚假记忆、选择性记忆。
- 通过对定义的拆解，我相信：所谓的【关注某件事】，本质就是【有预测（有框架），关注现实与预测的差异】。
因此，我相信差异记忆法是底层的。