### 算力
问：虚拟宇宙服务器需要多少算力？
答：2022年，超算Frontier每秒百亿亿次运算，造价六亿美元，电费每年四千万人民币。这个足够用了。
下图绿色是排名前五百的总算力，黄色是排名第一的超算算力，可以看到摩尔定律在超算领域一直在生效，速度是五年十倍。即，2027年，Frontier级的超算的造价会降低到四亿人民币。
![[超算.png]]
### 迭代法
（修订者注：背景：做此回答时的理论是旧版迭代方法，具体是【第一步，所有NPC算法都是行为树。第二步，修改所有NPC的算法，减少先天、引入后天，观察是否宏观崩溃。如此迭代第二步】。）
问：宏观崩溃是什么？
答：宏观崩溃的主语是【宇宙】，即，宇宙在宏观上崩溃。
最典型的宏观崩溃就是：所有人都饿死了。
此外，【一个势力统治世界，且千年如此】也算宏观崩溃（或者说，沉寂）。
我们的设计会参考EVE的动态平衡，使得在伪智能体（修订者注：先天行为树智能体）的环境下、世界不可能沉寂。
>EVE动态平衡：
>一，即便一个势力战斗力天下第一，也无法统治世界。
>1.反叛。势力分封制，角色移动缓慢。势力越大、监管越弱、越容易反叛分裂。
>2.战败。战争需要大量昂贵补给，运输缓慢，需要在边境储备。势力越大、边境越多、敌人进攻方向越多、越难全面储备。
>二，势力战斗力很难提高。
>1.工业玩家不生产T5单位（T1最弱，T5最强）。工业玩家产出的单位卖给刷怪玩家，刷怪的副本只能使用T3与T3以下单位，因此刷怪玩家不买，因此工业玩家不产。
>2.势力不刻意生产T5单位。T5性价比低，太贵，生产一个T5的成本足够生产数百个T3，暴打T5。战争中哪怕全歼敌人，只要己方死一个T5，都是己方大亏，且面对T3集火、己方必死几个单位。所以战争一般T5不上场，主力都是T3。T5相当于核弹威慑。
>3.想生产也难以大量生产T5。大势力都储备几百个T5，每年将多余的资源做成T5储备起来，每年储备几十个。即便全力生产T5，也只能每年一百个左右，并且那样会大量战败（因没有T3可以作战。且T5不能上场，上场会死）。
>综上，在后期，势力的资源都会转化为T3与T5，T3在战争中消耗掉，T5束之高阁，从而势力发展停滞。几年会爆发一次T5战争，战争可能带来短暂的统一，但随后则是反叛分裂。

问：为什么要宏观崩溃？
答：因为这样可以让我们判定：当我们在伪智能体的基础上删除了一些先天能力、增加了一些类人算法时，新的智能体是否表现得不弱于原本的伪智能体。
我们要做的是敏感虚拟宇宙。
敏感，是指：一旦弱于，那么哪怕只是微小的弱于，也会导致世界宏观崩溃。
这有助于我们判定【新的智能体是否不弱于原本的伪智能体】，即判定【我们添加的类人算法是否是正确的】，从而保证我们一步一个台阶的不断让伪智能体更加类人。

问：如何引入后天？或者说，基于什么条件，能做到通过一定的“尝试”后，智能体能实现目的？而不是永远失败？
答：人为什么少量尝试即可实现目的？因为人会反思。
那么同样，AGI也会反思。
更进一步的，为什么人会反思？
所有人都会反思吗？并不是，也有很多人【吃一百个豆不嫌腥】，一个错误反复犯，直至死亡或者放弃。
什么样的人会反思？有反思经验的人。最早的经验从何而来？婴幼儿时期无聊时的随机行为。
那么同样，AGI也是如此。如果AGI在婴儿时期无聊时有反思，那么未来就会反思，从而不会永远失败。
反思本质是一种在注意力下索引组线程对索引的更新。无聊时的反思本质是一种在无聊时注意力随机游走。
### 游戏性
（修订者注：旧版的虚拟宇宙游戏设计是单机的，玩家如小说主角一样带着金手指进入异世界。新版保留了它：私服）
问：“金手指“如何使人持续有成就感，但又不至于成为上帝而无聊？小说或漫画里的主角到后面不断变得更强大，对应的出来的反派也更强大，相似的模式导致看的无聊，甚至前后矛盾。
答：基于【忽视】。所有强大的东西在一开始就已经被玩家知晓，只不过玩家忽视了它们。
例如，前期，玩家在贸易中心买东西。玩家视为贸易中心的存在是天经地义的。后期，玩家与商人联盟作战，无法进入贸易中心。
例如，前期，玩家在安全区遇到敌人时，可以呼叫警察支援。无论怎样的敌人，警察都能处理。玩家视警察的存在是天经地义的。后期，玩家与城市开战，与警察为敌，看到强大的警察。
这就是利用【忽视】来构造出强大的敌人。
玩家有各种依赖的东西，比如购买某个强大的道具依赖于有生产这个强大道具的势力存在。那么当玩家与这个势力对抗时，看到对方拥有大量的强大道具，也就不会觉得惊讶。或者说，惊讶一瞬间后认为合理，并且这还会激活学习机制、使得在未来产生【现在做什么？】的念头时更容易生成【继续玩】。本质是想看看还有什么是自己没发现的（忽视但不该忽视的）。