甲问了乙一个问题，乙写了一篇文档作为回复，甲收到文档后开始阅读。
甲为什么会开始阅读？
A：甲的意识决定让自己去阅读。
B：甲的身体本能地去阅读，甲的意识决定不否决这一行为（“这一行为”是指“阅读”）。
你可能会认为答案是A。
但事实上，答案是B。

_目录：_
_引言_
_第一节：自我认知（案例）_
_第二节：自我认知（分析）_
_第三节：精神控制（结论）_
_第四节：精神控制（实验）_
_第五节：精神控制（分析）_
_第六节：其他_
_第七节：神经科学_
_第八节：总结_

第一节：自我认知（案例）
1.

一个人打游戏被队友坑了，很生气。

你问他为什么会生气，他会回答“因为队友坑了我”。

但事实上，如果他们知道“如果自己说某某话、那么队友就不会坑了”，那么即便在一局游戏中队友坑他了、他也不会生气、而是会说那些话。

所以，他生气的真正原因是“不知道该怎么表达”，而不是“队友坑他了”。

2.

一个人看新闻，新闻说有一个人贩子偷了一个孩子、孩子母亲哭的撕心裂肺。他很生气，想让人贩子判死刑。

你问他为什么想让人贩子死刑，他会回答“因为人贩子贩卖人口，罪大恶极”。

但事实上，他想让人贩子死刑的真正原因是“他代入了孩子母亲”，而不是“人贩子罪大恶极”。

3.

一个高中生成绩不差，但是觉得现代教育没有意义、他有远大的理想。

你说“上学是耽误时间，你可以退学自己研究”。

他说考虑考虑。

几天后，他说“算了，继续上学吧。”

你问为什么，他说“大学还是有必要的，因为人脉、平台。”

但事实上，真正的原因是“因为退学会带来未知的未来，他没勇气面对”。

“大学有必要”只是他的以一种自我安慰——毕竟，如果不是自我安慰，那么他会在一开始就拒绝退学，而不会说“考虑考虑”。他考虑的，实际上正是“能否考虑清楚退学后的未来、使其不再未知”；他从未改变他对未知的恐惧。

第二节：自我认知（分析）

通过上一节的三个例子可以发现，人不会说出自身产生某个想法的真正原因。

为什么？是他们在说谎吗？

不是。他们没有说谎，他们真的相信自己生气是因为被队友坑了，真的相信想让人贩子死刑是因为人贩子罪恶，真的相信不想退学是因为大学能带来人脉。

他们说服了他们自己。

他们欺骗了他们自己。

为什么要欺骗自己？是因为他们愿意相信错误答案吗？

不是。而是因为他们找不到正确答案，所以才只能从众多错误答案中选一个最像正确答案的、把它当成正确答案。

为什么找不到正确答案？为什么他们连他们自己都不了解？

A：他根据想法做出行为，但是当你问他的想法是什么的时候，宇宙之神禁止他回答正确答案，所以强制让他回答错误。

B：他不根据想法做出行为。

A和B看上去都是错的。毕竟，宇宙之神不存在，所以A是错的；而我们知道，想法一定参与了“做出行为”的过程，所以B也是错的。

但是，如果对B进行一点点改变：

**人不根据想法做出行为。对于五官接收到的视听嗅味触信号，人的神经系统会自动做出反应行为；同时，将这个行为送给意识来审查。如果意识觉得没问题，那么就一切不变；如果意识觉得有问题，那么就禁止这个行为，然后神经系统会结合这次经验、做出新的反应行为，同时再送给意识来审查。**

**即：**

**1.神经系统先斩后奏，一边做出行动、一边向意识汇报；神经系统并不会等到意识审批结束后再做出行动。**

**2.意识只有否决权，没有提案权。只有神经系统才能提案。（提案：即提出“要不要做某事”。）**

**3.因为行为太多，所以意识不会对每个行为都认真审查。对于意识判定为“稀松平常”的行为，意识会不看内容、直接允许。**

这就是正确答案了。

生气，是神经系统自己做出的决定。所以意识不知道你为什么生气，所以你无法自我认知。

第三节：精神控制（结论）

1.

如果一个乞丐获得了超能力：精神控制。他控制一个富家千金跟他上床。那么这个富家千金会怎么做？

拼死反抗？恐惧？

不。

她会认为她喜欢这个乞丐。

2.

如果主角用精神控制来控制敌人自杀，那么敌人会怎么样？

反抗？努力想按住自己的手？

不。

敌人会认为自己就想自杀。

3.

人无法自我认知，一个人不知道自己喜不喜欢乞丐，不知道自己想不想自杀。人只能根据行为来判断。

所以，当你没有做出与乞丐上床的行为时，你认为自己不喜欢乞丐；当你做出了这个行为时，你会认为自己喜欢这个乞丐。

第四节：精神控制（实验）

背景知识：

1.人的大脑分为左右两个半球，中间有一个桥梁连接。

2.有的人会因为某些原因而失去桥梁，这些失去桥梁的人叫做“裂脑人”。

3.人的语言功能位于左脑中的一个区域。

实验：

1.

告诉一位裂脑人的右脑让他笑，然后问他为什么笑。

他没有回答“不知道，应该是右脑让我笑的”。

他回答的是：“不好意思，因为我刚才觉得您长得很好笑。”

2.

告诉一位裂脑人的右脑让他挥手，然后问他为什么挥手。

他没有回答“不知道，应该是右脑让我挥手的”。

他回答的是：“啊，我看错了，我以为那个人（一个工作人员）是我的一个朋友。”

3.

让一位裂脑人的右脑看到大雪图片，左脑看到公鸡图片，然后让对应的手与眼睛从一堆照片中选择与看到的照片最像的图片。他分别选择了扫把与鸡笼。

问他为什么选扫把。

他没有回答“我不知道右脑看到了什么。”

他回答的是：“因为要用它扫鸡屎。”

4.

裂脑人通常患有“异手综合征”，就是两个手不配合。比如穿衣服，右手刚把扣子扣上，左手就给解开了；去超市买东西，右手拿了百事可乐，左手去拿可口可乐，导致右手要抓住左手不让它去拿。

但是，即便是这样，裂脑人们依然坚定不移的相信：自己是一个人，不是两个人。

裂脑人并非智力障碍。裂脑人拥有完整的思维能力，其日常行为与正常人基本没有区别。

（关于裂脑人的更多信息，可以在百度搜索百度学术，在百度学术搜索“裂脑人”，你会看到一些相关的论文；如果需要更多的论文，可以在谷歌浏览器搜索谷歌学术，在谷歌学术搜索“split brain”。）

第五节：精神控制（分析）

第二节中的黑体字可以完美的解释裂脑人现象。

问：为什么裂脑人会对自己的行为编造一个解释、并深信不疑？

答：因为正常人也会。

问：为什么裂脑人会把“异手”这么明显的问题当做自己的行为，而不相信它们是另一个意识带来的？

答：正常人也会把性欲、愤怒等这么明显的问题当做自己的行为，而不相信它们是另一个意识带来的。

问：为什么裂脑人的右脑能够听懂科学家在说什么、能够控制对应的手臂做出行为？

答：因为行为本来就不需要意识参与。

问：为什么裂脑人的右脑不向科学家求助、而是乖乖配合实验？

答：因为右脑没有意识，没有“求助”的概念。它就像一个机器，只会输入输出：输入声音与图像，输出行为。仅此而已。

第六节：其他

第二节中的黑体字能解释自我认知现象，能解释裂脑人现象，还能解释一切其他现象。

问：梦游的人是睁眼的，他们可以完成炒菜、开车、躲避障碍物等复杂行为。但是他们醒来之后完全不记得梦游的事。为什么会这样？为什么他们没有意识也能完成复杂操作？

答：因为行动本来就不需要意识，复杂操作也一样不需要意识。意识只有否决权，所有的提案都是神经提出的，即便在你有意识地完成复杂操作时、所有提案也都是神经提出的，所以神经本来就具备完成复杂行为的能力。

问：有的人经常会关闭一个网页之后才反应过来不该关，然后责怪自己手快。为什么会出现“手快”这种现象？

答：因为神经系统先斩后奏，它同时进行行动与汇报，而不是先汇报、等得到审批后再行动。

问：为什么有的人想自律却无法自律？为什么知行不合一？

答：因为意识只能通过在认真审查时发现错误行为来否决并改正错误，而他的意识把一些错误的行为放到“稀松平常”里面了，不会认真审查，所以就无法改正。

第七节：神经科学

1983年，美国科学家Benjamin libet做了这样一个实验：给出两个按钮，让志愿者按下其中一个，并监测志愿者的大脑。实验发现，在志愿者产生按下某个按钮的想法之前，他的大脑中已经产生了一个电信号；通过这个电信号，可以提前预测志愿者的想法。

他把这个实验写成了论文，发表了出来。

（打开谷歌浏览器，搜索谷歌学术，在谷歌学术下搜索“Libet et al.,1983”，即可看到论文原文，论文里面有这个实验的详细数据。这篇论文引用量242，如果你不知道这个数字意味着什么，那么：在美国，要想成为副教授，需要有十篇论文论文引用量大于10；要想成为正教授，需要十八篇论文引用量大于18。现在你应该能体会到242的强大与重要了。）

论文发表后，有人支持，有人质疑。质疑者认为，实验数据不够多、电信号也许是一个噪声；还有的质疑者认为，实验精度不够、“电信号先于想法”也许是一个误差、也许是先有想法后有信号后有行动。

Benjamin libet一直试图证明电信号不是误差，但直到2007年他去世，他也没能证明。

2008年，韩国科学家Chun Siong Soon运用新的脑成像技术，重新进行了该实验，得到了大量的精确数据。这些数据表明：电信号不是噪声，也不是误差，而是确确实实的先于想法。

Benjamin libet的遗愿完成了。

这篇论文引用量2070，在谷歌学术搜索“Chun Siong Soon et al.,2008”可以看到论文原文。

此时，大多数科学家已经相信了“电信号先于想法”的结论，不过依然有少数质疑者认为“也许电信号是产生动作的准备信号”。

2013年，Chun Siong Soon再次用实验证明，电信号不是准备信号，它确确实实的是想法的根源。（在谷歌学术搜索“Chun Siong Soon et al.,2013”可以看到论文原文，引用量241。）

至此，学术界再也没有了质疑。如下事实已被认定：不是意识产生行为，而是电信号同时产生行为与意识。意识与行为并非父子关系，而是兄弟关系。

即：

![7703](file:///C:/Users/ADMINI~1/AppData/Local/Temp/msohtmlclip1/01/clip_image001.jpg)

这与第二节中的黑体字不谋而合。

第八节：总结

1.如果你想摆脱性欲、暴躁等情绪的影响，那么首先你要认识到：你不是一个人，是两个人，情绪寄生在你的身上；你不是在改正自己的错误，而是在摆脱这具身体对你的精神控制——情绪不属于你。你不要在满足性欲的过程中感受到快乐，因为那不是你的快乐。

2.如果你对人类数字化感到恐惧，认为数字化与自杀无异，那么现在你应该不再恐惧了。因为你并不是这具躯体，也不是这具大脑，而是大脑中的算法。记忆不属于你，你只是一个否决器，记忆只是你用来判断要不要否决的数据而已；即便你换了一具躯体，换了一具记忆，失去了现有的全部记忆，你依然是你，你可以基于新的记忆、来允许或否决躯体产生的行为。所以，既然记忆不属于你，那么也就不存在“自杀”的概念了，因为自杀就是指“失去现有的记忆”。

以上。