### 定义
知识：如果发生了一个事件后、你的时间锥改变了，那么称你在这个事件中获得了一个知识、满足【旧时间锥+此知识＝新时间锥】。（推论：一些知识的集合，也是一个知识）（注：[[概念：时间锥]]）
前置知识：如果你能独立完成一个项目，那么就意味着你掌握了这个项目的前置知识。
后置项目：如果某知识是某项目的前置知识，那么称此项目是此知识的后置项目。
降阶学习法：当你要学习一个知识时，先明确一个此知识的后置项目，然后以降阶法实现它。（例如，编程知识的后置项目可以是一款游戏，数学群论知识的后置项目可以是五次方程无根式解的证明。）
降阶法：对于一个大项目，将其视为高阶的存在，然后转化为从低阶到高阶的一系列项目，满足【第一个项目，基于当前知识可实现】【当实现第X个项目后，基于届时知识可实现第X+1个项目】【最后一个项目是大项目】。
### 案例
要学习编程知识，可以以复刻《英雄联盟》为后置项目。
降阶：
- 最高阶：英雄联盟
- 降阶：仅有一个英雄的英雄联盟
- 降阶：仅有一个英雄，仅有三路，野区不可进入的英雄联盟
- 降阶：地图仅有屏幕大小，没有基地，仅有左右两侧各一个小兵出生点，玩家英雄开局在屏幕中央，只能移动与对小兵普攻。没有技能。
- 降阶：地图仅有屏幕大小，没有基地，没有小兵出生点。开局，玩家在屏幕左侧，一个敌方木桩在屏幕右侧，玩家可以移动、普攻木桩。
- 降阶：一个屏幕大小的地图，没有敌人，玩家只可以右键移动。地图是纯白色，玩家是一个纯黑色方块。
- 降阶：一个纯色界面。没有玩家角色，玩家无法进行任何操作。
这最后一阶，当安装完任何一个游戏引擎时（比如Unity），都可以根据引擎教程直接实现。
如果你觉得某相邻两阶跨度太大，那么可以自行插入一些中间阶。
### 步幅
步幅，是指在使用降阶法时、允许的阶之间的最大跨度。
步幅小的人，阶之间的跨度小，就需要插入大量的阶。
步幅大的人，阶之间的跨度大，就只需要少量的阶，甚至只需要两阶：首和尾。也就不需要用降阶法了。
步幅，是一个人的一个重要的实力参数。
以零基础编程为例，设英雄联盟的高度为1，如果步幅是0.1（即需要十阶），那么是优秀人才。如果步幅0.01（即需要一百阶），那么是及格的人。如果步幅是0.001（即需要一千阶），那么降阶法也救不了你（一千超出脑容量限制，做到一半会迷茫、忘记自己当前的位置、看不到当前行为与目标的关系）。

步幅的关键在于三点：
第一，资料量。包括谷歌、书籍、官方教程、一对一答疑。
第二，资料空间综合能力。看不懂A，看不懂B，但AB放在一起能看懂。因此，看不懂的资料不要丢弃/遗忘，要保留。你需要能保留数十上百篇资料，且能从中摘出AB。有的人一辈子太顺风顺水，挫折数量少（但允许单次程度高），所以他们面对看不懂的东西会直接丢弃（因为过去没有负反馈），这样的人资料空间综合能力就弱、步幅就小。
第三，资料时间综合能力。即试错能力。大量的尝试行动，即便结果不好也没关系，你的行动与结果也是一份资料。基于原本的AB而行动（试错），得到C（C可能是某一个错误的结果、你不理解），然后你谷歌获取到关于C的资料D，并与过去的资料X结合而再次行动（试错）。有的人不敢动，通常是小时候做错事被打骂，这种人的资料时间综合能力就弱，步幅就小。
#关键词/童年创伤/对降阶法的影响

负反馈少，会导致空间综合能力差。
负反馈多，会导致时间综合能力差。
那是不是没有完美的人呢？
不。有。
一个大量地经历【自我不甘负反馈】的人，就会空间时间综合能力都强。
自我不甘负反馈：并非外界给的、意料之外的负反馈，而是自我给的、意料之中的负反馈，通常来自于【自己对自己高要求、没实现、不甘心】。
不过，如果一个人生活中只有【自我不甘】，那么他最终会自暴自弃、酗酒逃避。因此，还需要有【中等夸赞】，使得他产生【这夸赞是那么刺耳。这不是我要的。你满足于X，我不满足，我要的是Y，是千百倍的X】的想法。
不过，如果你给予一个人中等夸赞，那么往往对方会视为【高等夸赞】，视为【这就是我要的。我太开心了】。因此，还要有【口出狂言】：放话出去能实现Y，一切行为标准都基于Y，最终实现X、不甘、外界夸赞X。然后继续放话Y或比Y更强的东西。
综上，如果一个人经历大量的【自我不甘负反馈】+【外界中等夸赞】+【口出狂言】，那么就会自然拥有资料的时空综合能力。（当然，这是一个充分但不必要条件）

资料空间综合能力，属于万剑归宗能力。（注：[[智商：万剑归宗]]）
资料时间综合能力，本质是【想到能做什么】的能力。
每个人，出生时，时间综合能力都是满的，不需要训练。但在家庭与学校的影响下，能力越来越差。
每个孩子，小时候，拿到苹果，都会尝试砸到地上，尝试【这个苹果砸了会怎样】。
每个孩子，小时候，给他一台电脑，他都会尝试各个操作，给电脑整崩溃几十上百次，最终孩子精通电脑。
试错，或者说资料时间综合能力，是智人出生时点满的天赋能力，也是通用人工智能能适应任何环境的基础。
资料时间综合能力，本质是【想到能做什么】的能力。每个孩子，小时候，看到任何一个不了解的东西，都会生成一大堆【能做什么】的想法。
然而，随着父母与学校的批评，在孩子试错带来错误时的打骂，孩子越来越不敢试错，甚至不敢生成任何想法，对于不认识的东西畏手畏脚、不敢做任何尝试、生怕搞坏了。
这孩子就废了。
不敢试错，他能成为一个很好的工人，但注定无法成为先驱者、伟人，无法应对陌生的环境与事物。
### 逆转人生
废物未必一直废物。
一个不敢试错的人，如何变得敢试错？
第一，自肃。即表意识控制自身。有的人，因为其他经历而拥有自肃能力。如此，当你认为自己应当试错时，就能试错了。
第二，觉醒。遇到一个大损失，让你不愿接受，痛苦，然后你意识到明明试错就可以避免，你不理解你当初究竟傻成什么样才没试错。此后你能试错。（参考：精神恍惚法，即自我催眠，可以通过在精神恍惚时给自己底层三观植入虚假记忆，从而迅速觉醒。但此方法有风险，属于卡大脑bug，慎用）
第三，覆盖。因为其他原因，额外引入大量的试错经验，覆盖掉过去的不敢试错的经验。
推荐强者使用第一种，凡人使用第三种、勤能补拙。（不要做蠢人。蠢人：该用第三种，却去使用第一种，最终竹篮打水一场空；或者该用第一种，觉得自己做不成就不去试，也不想做第三种，于是也一场空。你需要认清楚自己的能力，不要做不成第一还去做，也不要能做成第一却不敢试。）
### 自肃
什么样的人会有自肃能力？
有自肃经验的人。
早期的经验可以来自于这样的事件：
- 从小说/电影中看到反派有超能力【精神控制：控制他人举枪自杀，他人努力想控制手放下、但做不到，最终绝望的死去】，不理解，想着【怎么会被控制呢？手长在自己身上，自己不想举，别人怎么可能让你举？】，认为【他们就是意志不坚定。如果是我，那么反派的超能力无法控制我】。
- 不敢上台演讲。认为自己应当演讲，鼓起勇气报名，然而演讲当天临近登台时双腿发软、不敢上台，脑袋想上台，腿不听使唤。于是思考【我怎么动不了？难道我被某个恶魔给精神控制了？我要挣脱！我能不能控制腿抬起来？可以。前伸？可以。落下？可以。我能控制我自己！】，就这样【抬，移，落，抬……】，走到台上，演讲。很高兴自己战胜了恶魔，同时演讲本身也获得了不错的结果。
- 定了工作计划，到了去图书馆的时间，不想去，想玩游戏。于是思考【我难道不能控制我的腿抬起来吗？】，能。然后使用【抬，移，落，抬……】，走到图书馆。
如此，自肃经验越多，自肃能力越强。自肃能力越强，就更容易做出自肃行为，使得自肃经验越多。正循环。最终拥有自肃能力。

自肃，也被称为知行合一，即，知道一个事情是对的、那么就能做到；知道一个事情是错的、那么就能不做。
这是一个很重要的能力。很多人不具备。百级稀缺。（每100人里有一个能做到自肃）
不同人获得自肃能力的路线不同。我上面介绍的是一种路线。其他的路线可能是【觉醒】：遭遇重大损失，哭天喊地，不愿接受现实，且避免损失的办法自己早就知道、没做。抽自己耳光，觉得过去的自己蠢到家了，明知道是对的为什么不做？此后能自肃。
也可能是【吹捧】：一个孩子做了一点自肃的小事，亲友夸赞他拥有自肃能力，使其自豪。此后不断做出自肃行为，获得夸赞，如此经验多、能力强。
也可以是【想象】：想象自己拥有自肃/觉醒/吹捧的经验，认真想象。这样也能实现如真的拥有那样的效果。

与自肃能力高的人共事，可以面向未来：当对方做错事时，如果对方认识到错了，那么就可以宽恕他。
与自肃能力差的人共事，只能面向过去：当对方做错事时，辞退或罚款。无论对方如何道歉、祈求原谅，都不原谅。原谅的事情他记不住，下次还犯，唯有罚款他才能记住。如果你担心他因罚款而怨恨，使坏，那么就直接辞退。
你的自肃能力决定别人对待你的态度。如果你自肃能力差，犯错了别人不原谅你，那么你要记住：这是你自找的。
#关键词/咎由自取