### 对比研究法
在本文中，对比研究，定位定义为：某人A为了得到一套【怎样做事才能实现让某指标B超越阈值C】的理论，于是A观察大量的【某人X做某事Y、最终在B上的值为Z】的案例，对那些案例拆解【为什么Y会导致Z】，最终综合得到【如何实现C】的理论。
例如：
- 为了得到小说写作理论，于是观察大量的他人作品，拆解【好的作品为什么好】【差的作品为什么差】。
- 为了得到视频设计理论，于是观察大量的他人作品，拆解【好的作品为什么好】【差的作品为什么差】。
- 为了得到游戏设计理论，于是观察大量的他人作品，拆解【好的作品为什么好】【差的作品为什么差】。
- 为了得到企业管理理论，于是观察大量的企业的管理办法，拆解【好的企业为什么好】【差的企业为什么差】。
- 为了得到经济政策理论，于是观察古今中外的大量经济政策案例，拆解【好的政策为什么好】【差的政策为什么差】。
**对比研究法是一个简单、强大、而又糟糕的方法，是纸上谈兵、学院派、狂妄自大的根源。一个熟练使用对比研究法的人，会是一个好的学者、教练、顾问，但一旦让他亲自下场实操，他就会原形毕露、做出来的东西甚至还不如普通人。**
本文下文对【对比研究法】进行了修改，解决了对比研究法的上述问题。
### 修改：素材需多、广、优
- 多：素材数量多
- 广：素材范畴广，要从好到坏，而不能只看【好】和【大好】。
- 优：素材质量优（即所谓的典型案例）
一般人都能自然做到【多】和【优】，但往往会忽视【广】。他们只处理【好】和【大好】的素材，因为他们随机获取素材、这导致他们根本看不到【差】的素材。
比如：
- 研究网文写作理论，拿那些【现象级网文】和那些【让作者财富自由的完本网文】对比，错。你还应该收集那些【作者单机四十章，无人问津，签约都不成功，作者写了四十章后直接不写了】的作品，研究它们为什么失败。
- 研究企业管理理论，拿那些【华为苹果等万亿巨头企业】和那些【小众知名的百亿资产企业】对比，错。你还应该收集那些【建立几个月就破产的企业】，研究它们为什么失败。
**素材不够广，是纸上谈兵、学院派的根源。素材局限于尖端与次尖端，导致他们得到的理论只适用于【把一个好作品优化得更好】，而做不到【从无到有的做出来一个好作品】。这导致他们只能作为教练、顾问，而不能亲自做项目。**
### 修改：理论需双向贯通
- 双向：从下到上、从上到下
- 从下到上：从案例到理论
- 从上到下：从理论到案例
一般人都能自然做到【从下到上】，但往往会忽视【从上到下】。他们只确认了【案例确实满足这个理论】，而没有去确认【满足这个理论的就会是这样的案例】。
或者说：只确认了【你的理论是好作品的必要条件】，而没有确认【你的理论是好作品的充分条件】。

如何做到从上到下？单向分类导图、对立统一，把【理论】变为【理论体系】。
- 对立：同级的各个节点需要彼此对立，不重叠。例如，【海洋生物】与【哺乳动物】是重叠的，不可以同时存在这两个节点，但【哺乳动物】和【卵生动物】是不重叠的。（同级：一个节点下的各个子节点同级）
- 统一：同层的各个节点需要穷尽它们父节点之下的一切可能。例如，【武力打服】与【谈话说服】是不统一的，但【暴力手段】与【温和手段】是统一的。
- 理论体系：拥有一个对立统一的目录（即导图的中高层），囊括所有角度。

理论体系，才可以真正的让人从无到有的做出来优秀的产品。并且，即便做不出来，也可以基于失败的经历来检查理论体系哪里不足，优化理论体系，实现黑洞式进步。
黑洞式进步：必然前进，永不回头，不会【前功尽弃】，每一步都在越来越接近目标。取自【人的前进如一个黑洞伸出触手，失败如触手被斩断。凡人一辈子黑洞在原地，触手伸的老长、把握你把握不住的东西、脆弱的维持着平衡，触手断就前功尽弃；而黑洞式进步是让黑洞本身前进，触手只会短短的在黑洞前方不远处、通过实践来给黑洞喂素材，触手断裂与否并不重要。黑洞是你的能力，触手是你的工程】。