### 引言
愤怒，愉悦。在一般人眼中，它们是两个截然相反的情绪，应当使用两套完全不相干的大脑机制来实现。
但事实上，二者可能是同一套机制。
### 愤怒与愉悦
观察这样两个案例：
1.有人批评你：某人A多么多么优秀，你怎么这么差？
2.有人批评你：【某人A多么多么优秀，你怎么这么差？】然而，他不知道（你知道）的是，A的优秀源于你的帮助，A一直很尊重你。
1令人愤怒，但2并不令人愤怒，只会觉得好笑，甚至还有些期待他知道真相时的样子。
二者的区别在哪？
一阶区别：
1是【被批评了，想反驳，无法反驳】。
2是【被批评了，想反驳，可以反驳、且极大确信反驳会生效】。（反驳生效：对方无法反驳我的反驳。）
二阶区别：
1是矛盾，思维过程是【可以反驳，无法反驳，可以反驳，无法反驳……】，在矛盾中变得愤怒。（因“我没错”而可以反驳，因无法生成判断出结果而无法反驳。）
2是解决，是【需要解决一个问题；这个问题一般情况下是难以解决的；此处方式X极大概率可以解决此问题；愉悦，并期待执行X来观察“是否真的解决了问题”、验证X的有效性。如果X通过了验证，那么会非常愉悦。】
这里给出了愉悦的本质。接下来深入解析一下愤怒。
### 愤怒与平静
观察这样两个案例：
1.有人批评你：【某人A多么多么优秀，你怎么这么差？】你认为自己做的没错，但是你知道A的确优秀、无法反驳。此时你很愤怒，找各种借口去反驳，例如“不要拿我跟别人比”。
2.有人批评你：【某人A多么多么优秀，你怎么这么差？】你有自我认知能力，平静的说【你的标准表达是：“你本该做到像A一样优秀”。对此，我的回复是：我不知道该如何做到像A一样优秀。现在与今后，我希望你不要表达“我本该做到什么”，而是表达“我本该怎么做”】。
2的本质是什么？
一阶本质：
2是【被批评了，知道对方的批评不成立的根本原因、并指出】。
二阶本质：
愤怒是【对方以不成立的理由攻击我，我无法指出此理由不成立】。
平静是【对方以不成立的理由攻击我，我指出此理由不成立。但对方可以强行嘴硬，界时就没必要继续交流本话题了】。
愉悦是【对方以不成立的理由攻击我，我指出此理由不成立。铁证如山，对方无法强行嘴硬】。
总的来说，愤怒就是【我知道他是错的，但是我说不出来】。
### 愤怒与悲伤
悲伤本质是【愤怒，不可以愤怒】。
例如，不是别人批评，而是自己批评自己【某人A多么多么优秀，我怎么这么差？】。此时会悲伤，因为无法对自己愤怒。
再例如，假如在一个部落中，人们（包括你）敬仰神，长久的教育与生活让你养成“永远要尊敬神”的底层三观，就像“永远不能滥杀无辜”一样的底层三观。一天，神说【某人A多么多么优秀，你怎么这么差？】。此时你也会悲伤，因为无法对神愤怒。
这个【不可以愤怒】的念头非常快，快到即便是熟悉自我认知的人都难以观察到。但特殊情况下还是可以观察到的，比如得知女儿打碎了自己珍贵的玉瓶，第一反应是愤怒，第二反应是不能发火、悲伤。再比如被老板骂了，第一反应愤怒，第二反应为了工作要忍让、悲伤。
有的人认为悲伤来自于【自我评价降低】，例如“我怎么这么差”“我为了工作要忍着骂、太悲哀了”。这种观点实际上是因果反了。悲伤不来自于自我评价降低；悲伤导致自我评价降低。观察可以发现：自我评价降低是在悲伤之后发生的，是意识对悲伤的解释。悲伤之前的念头只有【愤怒，不可以愤怒】。