## 摘要
天使投资如赌石：如果你检查【一个石头里面有没有翡翠】时关注的石头外表性质和其他人一样，那么你很难找到翡翠，因为好石头都被挑走了。
你需要关注新的、正确的性质。
天使投资中，大家都关注的性质是团队成员的项目经验。
本文提出了一个新的正确性质：观察团队能否以【宏观分析微观理解】保证决策落实、以【理论分析加反馈修正】保证决策正确。若能，则即便没有项目经验、也是翡翠。
## 管理方法：宏观分析微观理解
### 案例：GPT
当使用GPT生成代码来辅助编程时，错误用法：
- 描述任务，发布给GPT
- GPT生成代码
- 复制GPT的代码，运行
- 如果运行效果不对，那么告诉GPT效果不对、让它改；或者重新开启一个GPT话题，修改任务描述，让GPT重新生成代码。
这个用法会导致GPT在大项目上可能永远无法生成出完美的代码。

正确用法：
设计一系列从简单到困难的任务。
在早期任务：
- 描述任务，发布给GPT
- GPT生成代码
- 复制GPT的代码，运行，成功（对于小项目，GPT的代码能运行成功。早期任务必须保证GPT能运行成功）
- 理解GPT的代码。理解方式是：通过提问或实验来理解大量的【如果对代码做XX改动，那么效果会怎样变化】【如果要效果做出XX变化，那么代码应当做出怎样的修改】。
在后续任务：
- 描述任务，发布给GPT。描述时不只描述任务效果，还要分析并描述任务需要的代码宏观结构（例如类与函数的签名。这在早期任务中你应当积累了）。
- GPT生成代码
- 让GPT解释代码，你理解代码
- 运行GPT的代码
- 如果运行效果不对，那么基于你的理解来修改代码

正确用法的【后续任务】部分，就是【宏观分析，微观理解】。
宏观分析，让你在发布任务时不只发布任务效果，还发布任务工程的框架，降低员工（GPT）自由度，让员工的产出更稳定可控。
微观理解，让你在员工工作出现瑕疵时能够迅速修正，指数型降低对员工的要求。

指数型降低：
员工的【能力+付出】与【任务产出（百分比）】呈S曲线关系，实现90%的产出可能只需要10点【能力+付出】，但实现99%的产出需要100点，实现100%需要1000点。
作为领导者，如果你不了解工程、无法修改员工的产出，那么只能要求员工实现100%的产出，这需要极高的员工成本。
如果你了解工程，那么你可以自己简单的从90%改为100%，这需要的员工成本就指数型的降低（指数型降低：降几倍，再降几倍）。

问：为什么员工无法自己修改到100%？
答：领导者的表达成本，执行者的经验理解误区。
第一，作为领导者，你可能无法完全清晰的描述出你的需求，尤其是细节。描述是S曲线：你花10点精力可以90%清晰的描述出你的需求，而你需要花1000点精力才能100%清晰描述。
第二，作为执行者，他有自己的经验，理解你的需求时会优先对照经验，如果类似某个经验、那么就按照那个经验执行，但那个经验可能【类似但不同于你的需求】。
要想100%：
第一，要么你清晰描述，要么员工的思维能力很强、能够在执行过程中意识到不清晰的地方并对你提问；
第二，要么他的经验非常多、覆盖一个方向的各种细节、使得他能100%对照成功；要么他的思维能力很强，能够在对照后意识到你的需求与对照不一致、并调整执行方式。（但这也是S曲线：10点精力能发现所有不一致中的90%，但要想发现100%需要1000点精力）
### 企业管理
企业管理也是一样。对于【直接对接工程师】的管理者，不应当只【发布任务、检查结果】，因为那会导致需要1000点员工成本（或者低成本但永远检查不通过）。
管理者应当理解工程，并【发布任务，发布工程框架，检查结果，对于瑕疵自己修改】。这样只需要10点员工成本。这就是【宏观分析微观理解】。

对于信息技术相关公司（电商，视频，游戏，大模型等），最好的企业模式就是：每个项目有一个负责人，这个负责人直接对接所有工程师，负责人理解这个项目涉及到的一切工程知识，并按照【宏观分析微观理解】的方式发布任务。不存在任何中间层的管理者。
如果公司只有一个项目，那么这个负责人是CEO。如果公司有多个项目，那么CEO另有其人，CEO管理各项目负责人。
目前各公司平均3个员工就有一个管理者，这不好。一个负责人应当管20个员工，因为：
第一，精力上限20。一个人全天工作，完全可以以【宏观分析微观理解】的方式协调20个员工。（但也只能协调20。30个就会精力不足）
第二，项目需求20。一个项目通常只需要20个人，大公司人多本质是项目多。极个别大项目可能需要100人，此时可以把一些边缘的、独立的工作分出去一个中层管理者（比如大型游戏中的美术部分）。
这个模式唯一的缺点就是：到哪里找这样的负责人？精力、技术能力、决策能力，都是问题。
精力问题：以【宏观分析微观理解】的方式管20个人，那需要燃烧生命，需要极高的热情与坚定的决心。这不是高薪能买来的，高薪来的人也会偷懒，这需要理想与心力。
技术能力问题：以【宏观分析微观理解】的方式负责项目，意味着需要理解项目所需的一切知识。例如游戏开发，需要理解：游戏设计、数值设计、游戏编程、编程架构、平面设计、原画设计、游戏测试、游戏运营。这也不是高薪能买来的，因为世界上可能根本不存在这样的全才，即便存在也是凤毛麟角。
决策能力问题：【宏观分析微观理解】只能保证决策落实完美，但如果决策本身出错呢？无数天才一腔热血地朝着错误的方向努力，那注定是徒劳的。

如果有一个人满足如下四个性质，那么他将是重要的人才：
1. 会使用【宏观分析微观理解】法。
2. 没有精力问题。有理想，能够为之燃烧生命地工作。
3. 没有技术能力问题。全才。或者拥有极强的学习能力与学习意愿，能够迅速将各知识学到理解级。
4. 没有决策能力问题。拥有决策经验，或者反馈修正能力。这一点在下一篇文章中具体介绍。
理解级：例如数学，能看懂正确答案，看到错误答案时能意识到错误，对于瑕疵错误能自己修改，但做题未必会做。这是理解级。
## 决策方法：理论分析加反馈修正
### 决策能力
管理能力，是保证决策落实的能力。
决策能力，是保证决策正确的能力。
最稳定的获得决策能力的办法是经验：如果一个人此前有过负责一个项目决策并且成功完成项目的经验，那么他拥有决策能力。

最稳定的获得决策经验的方式是在师父的帮助下迭代多个项目：
一开始，在一个有经验的师父的观察与指导下成功负责一个项目决策、直至项目完成。
然后负责新项目，师父的干预越来越少。
直至最终你独立负责一个项目，成功完成，师父没干预。

不过经验法有两个缺点：
第一，师父难得。有资格成为师父的人很少，即便存在、也很难愿意成为你的师父、耗费精力手把手指导你。
第二，低效率。获得经验需要迭代多个项目，而不能一次成功。

问：不可能一次成功，必须迭代多项目。
答：可以一次成功。结合学习与研究所得的知识，分析如何决策，然后执行，即可一次成功。（分析：明确现状，明确需求，设计理论与检查逻辑，基于理论设计计划）
问：分析是纸上谈兵，实际执行会遇到一堆问题。分析只能作为经验的辅助，占据主导地位的依然必须是经验。
答：分析不可取代经验，但【分析+反馈修正能力】可以在惩罚不重的环境取代经验。（惩罚不重：战役惩罚重，失败则无改进机会。游戏开发惩罚不重，失败则加一个月调整时间）
反馈修正能力：当失败时，迅速意识到失败的原因与改进方式。
### 反馈修正能力
以游戏开发为例，如何反馈修正？

错误方法（一）：
- 收集玩家意见，请玩家们指出优缺点
- 修改：强化优点，改正缺点
错误原因：玩家的自我认知能力不足。
往往你真正的缺点在于B、B影响A、玩家只注意到A、于是说A差。那么无论你如何修改A，玩家都不会满意。
优点也是一样，你真正的优点可能是B与A的数值协调，玩家只看到A数值高、好（其他游戏AB不协调时A数值较低），于是你强化优点时进一步提高了A，破坏了AB的协调，导致改的反而更差了。

错误方法（二）：
- 读书学习理论（游戏设计、美术设计等）
- 认真检查项目中不符合理论的部分，完善
错误原因：理论未必正确，且往往不全面。书籍只可以参考，而不可以照搬。

错误方法（三）：
- 凭借直觉，随机修改一些你觉得不好的地方，然后观察市场反馈
- 如果市场反馈好，那么就强化。如果市场反馈依然不好，那么就修改其他地方
错误原因：低效率。每一次反馈都需要一个月打底，而且这种无头苍蝇一般的修改很容易改千百次都不行。

正确方法：
- 在开发之前，明确自己的设计理论，明确自己对世界的默认，预测【哪些默认可能不对，如果不对那么会带来怎样的表现】。在获得反馈之前，就凭逻辑预测了千百个可能出错的地方，每一篇设计文档都伴随着对【可能的批评与赞扬】的预测。
- 发布，收集反馈。收集玩家意见。
- 将玩家意见与自己的预测对比，然后修改默认，修改设计。
对世界的默认：例如，如果以反馈修正来书写商业计划书，那么默认的可能是【投资人能理解一定程度的思维理论】或者【投资人不喜欢看任何理论】。（不过投资领域的反馈太少，通常是沉默，因此不适合反馈修正）

以游戏开发为例，要拥有预测能力，需要：
- 玩过大量的游戏，评价过大量的游戏，观察过大量玩家对游戏的评价
- 学习与研究过游戏设计理论
- 强大的分析能力、代入能力、自我认知能力。
## 投资技巧：独特性质
投资成熟的公司，好处是风险低，但坏处是收益一般、且投资成本高。
投资初创公司，好处是回报率高、成本低，但坏处是风险大。

如何判断一个初创公司是否值得投资？
业余投资人是凭直觉来判断。
职业投资人会有自己的判断标准，需要对方满足某些性质、才会投资。例如一个常见的性质是【创始团队的成员有充足的经验】。

如果你所检查的性质，与其他职业投资人一样，那么你将没有竞争力。
如同赌石，如果你检查【一个石头里面有没有翡翠】时关注的石头性质和其他人一样，那么你很难找到翡翠：因为能以此方式找到的翡翠都被其他人买走了。
你需要有新的、正确的性质，才能凸显竞争力。
本文给出了一个新的、正确的性质：检查CEO是否是这样的人才：
1. 能保证决策落实：
	1. 会使用【宏观分析微观理解】法。
	2. 没有精力问题。有理想，能够为之燃烧生命地工作。
	3. 没有技术能力问题。全才。或者拥有极强的学习能力与学习意愿，能够迅速将各知识学到理解级。
2. 能保证决策正确：
	1. 会使用【反馈修正】法。
	2. 拥有预测能力。
		1. 拥有此领域的反馈经验
		2. 拥有此领域的理论知识
		3. 拥有逻辑分析能力
		4. （当领域反馈者为人时）拥有代入能力、自我认知能力