### 简介
本文定义一组概念，作为对上一个文档【学习方法：降阶法】中的【时间锥】的定义。
同时，这一组概念在其他领域也有许多应用。
#关键词/时间线
### 正文
时间线：一个列表，每一项是【某时发生某事】，各项的时间单调前进。
用法例如：问：为什么不支持我做这个项目？答：我看不到你成功的时间线。（即，我无法写出一个列表、使得它每一项是【某时发生某事】、各项的时间单调前进且合理、且最后一项是你项目成功。）

时间梭：一些时间线的整体。这些时间线满足【起点都一样，终点都一样，过程不同】。如同一些绳子，首尾固定，中间散开，像一个梭形。（梭形：枣核形、纺锤形，两端细中间粗）
满时间梭：某人某时相对于某目的的满时间梭。以此时此人的状态为起点，以此目的的实现为终点，所有可能的时间线所构成的时间梭。
通常，【时间梭】默认指【满时间梭】。因为使用时最常用的是满时间梭。
用法例如：他之所以不敢做X，是因为不确定X是否在实现他的目的的时间梭中。（此处时间梭是指满时间梭）

时间锥：起点固定，过程与终点不同的一些时间线。某人某时的时间锥，是指此人未来所有可能的时间线。
用法例如：知识定义为【如果发生了一个事件后、你的时间锥发生了改变，那么称你在这个事件中获得了一个知识、满足【旧时间锥+此知识＝新时间锥】】。
注：基于这个定义，可得推论：
- 一切事件都能让你获得知识。因为一切事件都会改变你的时间锥。即所谓的【他的愚昧是因为年龄小，年龄大了自然就懂了（随时间获得事件、随事件获得知识）】。
- 对某人而言某知识的价值，可定义为这个知识对那个人的时间锥的改变程度。变化越大，价值越大。即所谓的【那件事让他获得了宝贵的知识，影响了他的一生】。
- 学术知识，定义为【对于大多数人而言，其价值超过某阈值】的知识。

逆时间锥：终点固定，过程与起点不同的一些时间线。
用法例如：
- 侦探小说中推理凶手，本质是不断缩小逆时间锥。
- 对实现某目标的方式分类，本质是对以此目标为终点的逆时间锥内部分类。