## 封面
作者：浊浪逝风
时间：2024.8.31
## 摘要
知识诅咒现象：一个人知道越多的知识，就越难以想象一个不知道那些知识的人的想法。
主流学术界以心智理论来解释它。
本文指出心智理论的错误，以及正确的解释：生成判断。
## 关键词
#关键词/知识诅咒 
#关键词/生成判断 
#关键词/心智理论 
### 心智理论
心智理论（TOM），David Premack在1978年提出，当今心理学中的一个重要理论。
在心智理论中，智力被定义为【心智能力】。心智能力分为这几级：
- 一级心智能力：我有某意图。例如，我想吃饭。一级心智能力是哺乳动物基本功。
- 二级心智能力：我觉得妈妈希望我吃饭。人类基本功，一些聪明动物（虎鲸，边牧，黑猩猩）也有二级心智。
- 三级心智能力：我觉得小明妈妈希望小明吃饭。心理咨询师基本功，高情商人类。动物全军覆没。
- 四级心智能力：我觉得小红觉得小明妈妈希望小明吃饭。职业作家基本功，顶级心理咨询师。（也因此，职业作家转行心理咨询师很方便）
- 五级心智能力：我觉得某人/我规定某角色拥有四级心智能力。名著级作家。
心智能力：理解自己或他人的意图、情绪、知识等的能力。
https://zh.wikipedia.org/wiki/心智理論
### 知识诅咒
知识诅咒现象：一个人知道越多的知识，就越难以想象一个不知道那些知识的人的想法。
例如：
- 何不食肉糜：晋惠帝时期，饥荒，万民饿死，无米可食。晋惠帝诧异：为什么会饿死？为什么他们不吃肉羹呢？
- 2007苹果发布会，触屏手机第一次出现，乔布斯演示【双指合并与分离，表示缩小与放大】时一带而过，因为觉得这很显然。然而众多观众在发布会结束后都表示不知道那些手势的用法与含义。
- 哈利波特最后一部电影的高潮战役，对于读过原著的观众而言热血沸腾，然而对于没读过原著的观众而言莫名其妙。导演没能正确理解那些没读过原著的观众的想法。
### 敲击节拍实验
这是一个著名的知识诅咒实验。
一百个来自同一国家的25-35岁的人分为50组，每组两个人（设为AB），AB事先无交流，AB性别一致。
让A脑海中想一个歌曲，然后可以敲击展示节奏，但不能唱出来、不能写字、不能用任何其他方式作弊。让B根据A的敲击来猜歌名。
猜测结束后，AB互换，再次如此。
实验结果：敲击者往往觉得猜测者应当能猜出来，但猜测者往往猜不出来。（91%的敲击者觉得猜测者能猜出来，实际只有24%的猜测者猜出来）
### 萨利安妮实验
这是另一个著名的知识诅咒实验。
一百个从2岁到10岁的孩子，有的患有自闭症。
让他们看电影：萨利和安妮坐在一个房间里。萨利把糖果放在箱子A里，然后离开房间，上厕所去，然后安妮把糖果取出、放在箱子B里，然后萨利上完厕所回来回来。
问：萨利会去哪里寻找糖果？A还是B？

4岁以内的孩子超80%回答【B】。
4岁以上的非自闭症孩子超80%回答【A】。
自闭症孩子无论年龄，超80%回答【B】。
初步结论：四岁以内孩子，以及自闭症孩子，没有他人的概念，无法理解他人的想法，只会按照自己的想法来理解他人，认为他人知道自己所知道的一切。
https://en.wikipedia.org/wiki/Sally-Anne_test
### 解释
目前，对于知识诅咒，学术界主流解释是：心智不成熟。
萨利安妮实验选B的都心智不成熟，只有一级心智。
敲击节拍实验觉得对方能猜到的，都心智不成熟。
乔布斯，哈利波特导演，晋惠帝，都心智不成熟。

这个解释不好。
萨利实验选B的，你说心智不成熟，这还勉强可以说得过去。
节拍实验，乔布斯，哈利波特导演，晋惠帝，这些就说不过去了。他们可不会选B。
心智理论有一个很大的问题：它默认心智能力是静态的，然而这个默认不成立。（静态：不受环境影响，是人的内禀属性）
一个人，有的情景下能理解他人想法，有的情景下不能理解。这个受到信息与经验的影响很大。心智能力并不是静态的。
而且，即便是非名著作家，如果愿意花点功夫，那么也是可以短暂的拥有五级心智的。

知识诅咒的真正原因是：生成判断。生成想法，判断是否通过。判断是【三次：生成理由，判断此理由能否否决想法】。三次判断都无法否决，通过。
判断时，一些高权重的理由被优先判断，它们无法否决想法，因此判断通过。例如，对于节拍实验，高权重理由例如【节拍与歌曲是否一致】【假设我不知道节拍，那么听这个歌曲，我能否意识到这个节拍】【我能否预测下一个节拍】。
逆向利用人脑的生成判断机制，可以构造煽动技巧：发布一个错误的结论，发布三个质问，使得【这三个质问都无法否决它】，那么观众就会被煽动，支持此结论。（短时记忆高权重。发布的质问进入短时记忆，因此高权重）

乔布斯，哈利波特导演，晋惠帝，也是三次判断通过。
萨利安妮实验，也是三次判断。
人们的区别只在于各理由权重。这受到后天影响。