## 封面
作者：千里未来
时间：2024.9.11
## 摘要
凡人在损失时会考虑如何挽回，智者在损失时会考虑谁的错、哪一步的错、基于此而未来避免再错。
名著的悲剧，是【先渲染一个东西的美好与珍贵，再让它死亡或破碎，并且在这个过程中没有人犯错】。让智者震撼与茫然的，就是名著。
一般的悲剧，是【先渲染一个东西的美好与珍贵，再让它死亡或破碎】。这可以让凡人震撼【无法挽回】，但无法让智者震撼，因此对于智者而言、一般的悲剧【不过如此】。
而比智者更智的，就是时间线法。对于掌握时间线法的超智者，名著的悲剧也【不过如此】。
## 关键词
#关键词/自我管理
#关键词/时间线
#关键词/悲剧 
#关键词/新建法 
#关键词/汇总 
## 正文
### 名著悲剧
小说中，如何渲染悲伤的氛围？
- 扑街作家：死亡。
- 大神作家：先渲染一个东西的美好与珍贵，再让它死亡或破碎。
- 名著作家：先渲染一个东西的美好与珍贵，再让它死亡或破碎，并且在这个过程中没有人犯错。
问：当我们遭遇【一个美好的东西破碎，但没有人犯错】时，我们该怎么办？只能悲伤吗？
答：不。可以使用时间线法。
### 时间线法
当遭遇【一个美好的东西破碎，但没有人犯错】时，该怎么办？
- 凡人：它破碎了！我该怎么挽回？无法挽回，哭泣。
- 智者：我遭遇了惨重的损失。谁的错误？哪一步的错误？没有错误。悲伤、绝望、孤独、无助、茫然。
- 时间线法：我遭遇了惨重的损失。如果回到原初时刻，那么从原始时刻开始、后续时间线应当如何演变、才满足【既合逻辑、又不含此损失】？在真实的历史中，我从哪一步偏离了这个时间线？（原初时刻：还未发生任何对“损失”有影响的事件。不合逻辑：不可能在现实中发生。）
### 追问
问：如果不存在【既合逻辑、又不含此损失】的时间线，那么怎么办？
答：通常都是存在的。如果真不存在，那么当你意识到不存在时、自然就不会悲伤，会坦然接受。
悲伤来自于【破碎，不该破碎】，而【不存在不破碎的时间线】等价于【就该破碎】。

问：【无人犯错】就等价于【不存在不破碎的时间线】，但依然会悲伤。
答：不等价。【无人犯错】等价于【真实时间线中不存在一个剧变时间点】、等价于【不存在一个时间线X，满足：X不破碎，且X是对真实时间线的单点矫正】。

问：所以，你是说：时间线法构造的不破碎时间线、是对真实时间线的多点矫正？
答：如果硬要说的话，也算多点矫正。但它并不是通过多点矫正得到的，而是通过【丢弃真实时间线，新建一个时间线】得到的。类似于：代码重构是【丢弃-新建】得到的，但硬要说的话也算是多点修改。

问：我还是无法理解。我能理解你说的，但我有一个问题无法解释：【某一步有错】和【某一步偏离了时间线】有什么区别？我的理解是：【不存在某一步有错】等价于【不存在某一步偏离了时间线】，但这个理解显然不对。那么正确的理解是什么？
答：偏离了时间线的那一步未必有重大错误。如同象棋，对方弃子、你吃了，看上去没有问题，但在四十回合之后你输了。弃子那一步偏离了胜利时间线，但不是错误。

问：弃子吃了，就是错误。
答：象棋有大量的拆解，而且象棋的弃子【明显不对劲】，你才会说【弃子吃了是错误】。
假设不是吃弃子、而是【退炮防御】，正确时间线是【提车进攻】，你退炮后走的每一步都没有明显错误、且当时的局面退炮防守也没问题。并且人们玩象棋时不会复盘与拆解。那么这就是【退炮开始偏离时间线】。
（象棋的复盘思想，本质也是时间线思想）

问：所以，【偏离了时间线的第一步】是【选择了一条看上去没问题的路，但实际上在此处是死路】？
答：对。
## 后记
### 接受追问
接受如下追问：
- 有这样一个无人犯错的悲剧：XXXX。对于这个案例，如果回到原初时刻，那么怎样的时间线才满足【既合逻辑、又不含此损失】？
### 扩展：本文的定位
下面是能力总树。本文在【通用思维能力/自我管理/通用自我管理能力/时间线法】。
- 通用思维能力
	- 人际交流
		- 人际交流协议
			- 接口协议：两人之间明确接口，不干预对方接口之外的事情
			- 自我认知协议：双方自我认知能力足够，不赞同的必然可以认知出不赞同的原因。无法反驳即赞同。
			- 理性协议：关注内容，而非关注语气。
		- 表达能力：能清晰的表达出来自己的观点
	- 自我管理（自我进化）
		- 自我约束能力（自律）
			- 抽离法：表意识控制自我
			- 经验迭代法：从小事开始，逐渐获得自律的经验
		- 学习能力
			- 按需学习法：明确要学什么。以工程为学习。完成后置项目之日，学习完毕之时。
			- 搜索能力：找到学习资料。搜索引擎。书籍，人脉，网课，咨询，论坛与最新咨询，论文，等等。
			- 降阶法：彻底吃透理解一个知识。与费曼学习法类似，但比费曼学习法更强、且更无依赖。
		- 研究能力
			- 对比解释法
			- 通用信息处理：描述、分类、分析。（注：这里是一个循环。整个总树可以视为一个研究，可以用通用信息处理解决，因此整个总树可以放在这个节点之下，构成了【一个树包含自己】的循环结构。）
		- 通用自我管理能力
			- 反思法：让犯过的错误不再犯
			- 预测法：让没犯过的错误不会犯
			- 时间线法：在犯错时，找到【什么是对的】
	- 自我认知：认知行为/观点的原因
		- 对比法：对比两个相似情况下自己的不同行为，解释行为的原因
		- 观察法：观察自己在行为/观点之前的念头
		- 经验理念：一切行为/观点的原因都可以写成【因为我有XX经历】的格式。
		- 能力树法：如本文这样，经常整理自己需要的能力，包括已有、可有、将有的能力。（注：可有是知道【只需要做XX就可以拥有】、例如已购买相关书籍并阅读目录确认、或者知晓某朋友拥有，将有是【需要但没有，未来计划去获取】。）
- 编程能力
	- 编程语言能力：Unity C#
	- 编程架构能力：低耦合高内聚，可扩展性，可读性（中文分析法）
	- 算法能力：高性能地解决某一个小问题
	- 史诗工程能力
		- 创造编程语言：编译原理。语法分析树
		- 创造操作系统：进程管理、内存管理、IO管理
		- 创造浏览器：网络协议、高性能数据库
- 游戏设计能力
	- 玩法设计能力
		- 创新能力：微创新。使用标准描述+上级化+下级化。参考：XX
		- 学习机制：忽视法、低阶法。参考：XXX
	- 数值设计能力
		- 运气占比：肉鸽要50%，竞技要20%。
		- 数值曲线：玩家如何越来越强。短时间一次小震动，长时间一次大震动。
		- 数值公式：各参数之间如何作用（例如战斗）。不要太多乘法，会指数爆炸。
	- 美术设计能力
	- 营销能力
- 动作社会设计能力
	- 社会设计能力：社会学、经济学、政治学
	- AI设计能力：行为树、心理学、认知科学